import java.io.PrintStream;
import java.util.Scanner;

import type.lib.ToolBox;

/**
 * This app solicts an integer value from the user using console-based input and
 * output.
 * 
 * @author [INSERT YOUR NAME HERE]
 * 
 */
public class Question01 {

	public static void main(String[] args) {
		/*
		 * In this question, you will perform a variety of tasks that involve
		 * the use of console-based input to prompt the user for various data
		 * values.
		 * 
		 * REFERENCE: Section 2.2.5 pp.68-70
		 */

		/*
		 * Task 1: Create a Scanner object. Declare a variable called "input"
		 * and use it to store the reference to this object. To use the services
		 * of this class, you will need to import the class from the java.util
		 * package (and NOT the type.util package, please)
		 * 
		 * You may model your solution after the code provided in the textbook
		 */

		Scanner input = new Scanner(System.in);

		/*
		 * Task 2: Comprehension Questions: Examine the API for the Scanner
		 * class. (The APIs for Java and the TYPE packages are on the course
		 * website, under "Labs")
		 * 
		 * Can you identify WHICH Scanner constructor is being used? To answer
		 * this, you need to look up the attribute called "in" in the class
		 * called "System" in the package java.lang. What is the type of the
		 * attributed "out"? The Scanner constructor with the compatible
		 * argument is the one being invoked.
		 */

		/*
		 * YOUR ANSWER:
		 */

		/*
		 * Are you clear on the difference between the *object* and the *object
		 * reference* in this task description? Explain the difference.
		 */

		/*
		 * YOUR ANSWER:
		 */

		/*
		 * Task 3: add statements to prompt the user for an integer and then
		 * read in and store the typed value. (Hint: look at the textbook
		 * examples)
		 */

		/*
		 * Task 4: Observe what happens when the user types in a double instead
		 * of an int. Locate the nextInt() method in the API and read the
		 * documentation. What does the documentation say about this situation?
		 */

		/*
		 * Task 5: Implement a boolean expression that determines whether the
		 * inputted integer is an even number. Store the result of the test in a
		 * boolean variable.
		 * 
		 * If the number is even, print out a message to that effect. If the
		 * number is odd, prompt the user one more time, this time specifically
		 * asking for an even number. If the user does not comply, crash the
		 * application using the crash method from the class ToolBox. (review
		 * Question12 from the last lab exercises if needed).
		 */

	}
}
